/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "ConditionalButton.hpp"

ConditionalButton::ConditionalButton()
{
  // empty
}

ConditionalButton::ConditionalButton(float z, const Caller& click,
		const char* text, int shortcut, const bool* condition) :
	Button(z, click, text, shortcut), mCondition(condition)
{
	// empty
}

ConditionalButton::~ConditionalButton()
{
	// empty
}

void ConditionalButton::update(float interval)
{
	if (*mCondition)
	{
		Button::update(interval);
	}
}

bool ConditionalButton::updateSelected(float interval)
{
	if (*mCondition)
	{
		Button::updateSelected(interval);
	}

	return *mCondition;
}

void ConditionalButton::draw() const
{
	if (*mCondition)
	{
		Button::draw();
	}
}
