/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "DataInputStream.hpp"

#include "iocommon.hpp"

#include "macros.hpp"

#include <limits.h>

DataInputStream::DataInputStream(InputStream& inputStream) :
	mInputStream(inputStream)
{
  // empty
}

DataInputStream::~DataInputStream()
{
  // empty
}

unsigned int DataInputStream::read()
{
	return mInputStream.read();
}

unsigned int DataInputStream::readInt()
{
	unsigned int value = 0;

	for (unsigned int i = 0; i < sizeof(value); i++)
	{
		value |= (mInputStream.read() << (i * 8));
	}

	return value;
}

float DataInputStream::readFloat()
{
	unsigned int value = readInt();

	return IO_FLOAT_MIN + ((float) value / UINT_MAX) * (IO_FLOAT_MAX - IO_FLOAT_MIN);
}
