/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "DataOutputStream.hpp"

#include "iocommon.hpp"

#include "macros.hpp"

#include <limits.h>

DataOutputStream::DataOutputStream(OutputStream& outputStream) :
	mOutputStream(outputStream)
{
  // empty
}

DataOutputStream::~DataOutputStream()
{
  // empty
}

void DataOutputStream::write(unsigned char b)
{
	mOutputStream.write(b);
}

void DataOutputStream::writeInt(unsigned int value)
{
	for (unsigned int i = 0; i < sizeof(value); i++)
	{
		mOutputStream.write(value & 0xFF);
		value >>= 8;
	}
}

void DataOutputStream::writeFloat(float f)
{
	writeInt((unsigned int) ((f - IO_FLOAT_MIN) / (IO_FLOAT_MAX - IO_FLOAT_MIN) * UINT_MAX));
}
