/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef PlayerInfo_hpp
#define PlayerInfo_hpp

#include "Color.hpp"

#include "utils/String.hpp"

#include <map>

typedef enum
{
	STATE_CONNECTING,
	STATE_CONNECTED,
	STATE_REFUSED,
	STATE_DISCONNECTED,
	CNT_CONNECTION_STATES
} ConnectionState;

struct PlayerInfo
{
	typedef enum {
		STATE_LOBBY,
		STATE_PLAYING,
		STATE_FINISHED,
		STATE_ABORTED,
		CNT_PLAYER_STATES
	} PlayerState;

  PlayerInfo();

  PlayerState state;
  Color3 color;
  String name;
  float time;

  int trys;
  float firstStartTime;
  float lastStartTime;

};

typedef std::map<int, PlayerInfo> PlayerMap;

extern const char* sgPlayerStateString[PlayerInfo::CNT_PLAYER_STATES];
extern const char* sgConnectionStateString[CNT_CONNECTION_STATES];
extern const char* sgConnectionRefusedString[];

#endif
