void SandboxProxy::setMasterUser(const grapple_user& client, const grapple_user& master) {
ByteArrayOutputStream baos;
baos.write(0);
DataOutputStream dos(baos);
write(dos, master);
mNetwork.send(baos.byteArray(), client);
}

void SandboxProxy::sendStage(const grapple_user& client) {
ByteArrayOutputStream baos;
baos.write(1);
DataOutputStream dos(baos);
mNetwork.send(baos.byteArray(), client);
}

void SandboxProxy::loadLevel(const grapple_user& client, const String& name) {
ByteArrayOutputStream baos;
baos.write(2);
DataOutputStream dos(baos);
write(dos, name);
mNetwork.send(baos.byteArray(), client);
}

void SandboxProxy::resumeGame(const grapple_user& client, const int& session) {
ByteArrayOutputStream baos;
baos.write(3);
DataOutputStream dos(baos);
write(dos, session);
mNetwork.send(baos.byteArray(), client);
}

void SandboxProxy::endGame(const grapple_user& client) {
ByteArrayOutputStream baos;
baos.write(4);
DataOutputStream dos(baos);
mNetwork.send(baos.byteArray(), client);
}

void SandboxProxy::changeState(const grapple_user& client, const float& time, const int& newState) {
ByteArrayOutputStream baos;
baos.write(5);
DataOutputStream dos(baos);
write(dos, time);
write(dos, newState);
mNetwork.send(baos.byteArray(), client);
}

void SandboxProxy::newTry(const grapple_user& client, const int& session, const float& time) {
ByteArrayOutputStream baos;
baos.write(6);
DataOutputStream dos(baos);
write(dos, session);
write(dos, time);
mNetwork.send(baos.byteArray(), client);
}

void SandboxProxy::setPosition(const grapple_user& client, const int& session, const float& time, const Vector3& pos, const Vector3& vel) {
ByteArrayOutputStream baos;
baos.write(7);
DataOutputStream dos(baos);
write(dos, session);
write(dos, time);
write(dos, pos);
write(dos, vel);
mNetwork.send(baos.byteArray(), client);
}

void SandboxProxy::explode(const grapple_user& client) {
ByteArrayOutputStream baos;
baos.write(8);
DataOutputStream dos(baos);
mNetwork.send(baos.byteArray(), client);
}

