/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "ScreenInput.hpp"

#include "process/Main.hpp"

#include "utils/Callback.hpp"

#include "hw/keyboard.hpp"

ScreenInput::ScreenInput(const char* strLabel, const char* strOK, const char* strCancel)
{
	lLabel = Label(5.0f, strLabel);
	addItem(&lLabel);

	mInput = Input(4.0f);
	addItem(&mInput);

	bOK = Button(2.0f, METHOD_CALLBACK(ScreenInput, clickButtonOK), strOK, KEY_ENTER);
	addItem(&bOK);

	bCancel = Button(1.0f, METHOD_CALLBACK(ScreenInput, clickButtonCancel), strCancel, KEY_ESC);
	addItem(&bCancel);
}

ScreenInput::~ScreenInput()
{
  // empty
}

void ScreenInput::clickButtonOK()
{
	Main::popState();
	closedOK();
}

void ScreenInput::clickButtonCancel()
{
	Main::popState();
	closedCancel();
}

void ScreenInput::closedOK()
{
	// empty
}

void ScreenInput::closedCancel()
{
	// empty
}
