/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef RankingList_hpp
#define RankingList_hpp

#include "gui/MenuItem.hpp"

#include "sandbox/PlayerInfo.hpp"

class RankingList : public MenuItem
{
public:
  RankingList(unsigned int maxLines, const PlayerMap& playerMap);
  virtual ~RankingList();

  void setSize(float width, float height);

  void draw() const;

private:
	unsigned int mMaxLines;

	float mLineHight;
	float mScale;
	float mPadding;
	float mSidePadding;
	float mColumnWidth;

	const PlayerMap& mPlayerMap;

	void drawTextToCell(int col, int row, const char* text, int align) const;

};

#endif
