/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "ScreenSandboxEnd.hpp"

#include "utils/Callback.hpp"

#include "hw/keyboard.hpp"

#define PLAYER_LIST_LINES 10

#define CONSOLE_WIDTH 8.0f
#define CONSOLE_HEIGHT 3.0f

ScreenSandboxEnd::ScreenSandboxEnd(SandboxGame* parent) :
	mParent(parent), mRankingList(PLAYER_LIST_LINES, mParent->playerMap())
{
	mRankingList.position = Vector2(-CONSOLE_WIDTH / 2.0f, 4.0f);
	mRankingList.setSize(CONSOLE_WIDTH, CONSOLE_HEIGHT);
	addItem(&mRankingList);

	bLobby = ConditionalButton(2.0f, METHOD_CALLBACK(ScreenSandboxEnd, clickLobby), "lobby", KEY_ENTER, &mParent->master());
	addItem(&bLobby);

	bDisconnect = Button(1.0f, METHOD_CALLBACK(ScreenSandboxEnd, clickButtonDisconnect), "disconnect", KEY_ESC);
	addItem(&bDisconnect);
}

ScreenSandboxEnd::~ScreenSandboxEnd()
{
  // empty
}

void ScreenSandboxEnd::clickLobby()
{
	mParent->endAllGames();
}

void ScreenSandboxEnd::clickButtonDisconnect()
{
	mParent->disconnect();
}
