/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "ScreenSandboxMain.hpp"

#include "ScreenConnect.hpp"

#include "process/MainProcess.hpp"

#include "utils/Callback.hpp"

#include "hw/keyboard.hpp"

ScreenSandboxMain::ScreenSandboxMain(SandboxGame* parent) :
	mParent(parent)
{
	gScreenConnect = new ScreenConnect(mParent);

	bServer = Button(6.0f, METHOD_CALLBACK(ScreenSandboxMain, clickButtonServer), "server", 's');
	addItem(&bServer);

	bClient = Button(4.0f, METHOD_CALLBACK(ScreenSandboxMain, clickButtonClient), "client", 'c');
	addItem(&bClient);

	bBack = Button(1.0f, METHOD_CALLBACK(ScreenSandboxMain, clickButtonBack), "back", KEY_ESC);
	addItem(&bBack);
}

ScreenSandboxMain::~ScreenSandboxMain()
{
  // empty
}

void ScreenSandboxMain::clickButtonServer()
{
	mParent->startServer();
}

void ScreenSandboxMain::clickButtonClient()
{
	Main::setState(gScreenConnect, false);
}

void ScreenSandboxMain::clickButtonBack()
{
	Singleton<MainProcess> main;
	Main::setState(main, true);
}
